列出共享资产

List the assets included in a share as a recursively flat list. The response includes every direct member of the share’s collection (files, folders, and version stacks), plus every descendant of any shared folder or version stack — expanded into its own row in the flat list.
Rate Limits: 100 calls per 1.00 minute(s) per account_user

身份验证

AuthorizationBearer

Bearer 身份验证,格式为 Bearer <token>,其中 token 是您的身份验证令牌。

路径参数

account_idstring必需
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
share_idstring必需格式: "uuid"
A UUID string that uniquely identifies a Frame.io entity.

请求头

api-versionenum必需
允许的值:

查询参数

includeenum可选
Supported include query parameter values for endpoints that return files with media links
sortenum可选
Sort assets by query params
afterstring可选

Opaque Cursor query param for requests returning paginated results.


NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.

page_sizeinteger可选1-100默认为 50
Page size query param for requests
include_total_countboolean可选默认为 false
Page query param to include the count of all entities

响应头

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

响应

OK
datalist of objects
Files, folders, and version stacks in the share
total_countinteger or null可选
Total count

错误

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error